it-swarm.com.de

Wie kann ich eine Outlook-MSG-Datei anzeigen?

Ich muss eine .msg-Datei anzeigen. Es ist eine E-Mail von Microsoft Outlook. Wie kann ich das in Ubuntu machen?

57
Eric Johnson

Am besten konvertieren Sie sie mithilfe des folgenden Skripts in eine eml-Datei:

http://www.matijs.net/software/msgconv/

Es ist nicht hübsch, es basiert nicht auf GUI, aber es wird funktionieren.

Aufbauend auf der Antwort von Martin Owens ist dies die schnelle Lösung:

wget http://www.matijs.net/software/msgconv/msgconvert.pl
Sudo apt-get install libemail-Outlook-message-Perl libemail-localdelivery-Perl libemail-sender-Perl
perl msgconvert.pl YourMessage.msg
42
Will Sheppard

Öffnen Sie es mit MsgViewer http://sourceforge.net/projects/msgviewer/

wget -O MSGViewer.Zip http://sourceforge.net/projects/msgviewer/files/latest/download
unzip MSGViewer.Zip
cd MSGViewer-1.9
Java -jar MSGViewer.jar

ziehen Sie die msg-Datei jetzt einfach per Drag & Drop in das Programmfenster, um den Inhalt anzuzeigen.

18
Kamil Roman

Ich bin auf Ubuntu 15.10 und das msgconvert-Skript von matijs scheint jetzt in den Repos verfügbar zu sein. nach dem Rennen:

Sudo apt-get install libemail-Outlook-message-Perl libemail-localdelivery-Perl libemail-sender-Perl

Ich kann jetzt jetzt rennen

msgconvert *.msg

die Nachrichten vollständig mit Tools aus den Repos zu konvertieren.

15
mnagel

Ich habe nach der Installation von msgconvert festgestellt, dass msgconvert nicht installiert war, als ich den Befehl ausgeführt habe. Anstatt zu versuchen, es zu debuggen, habe ich das getan. In weniger als einer Minute erledigt. http://www.zamzar.com/convert/msg-to-pdf/

3
dez93_2000

Sie können Ruby-msg Ruby gem für diesen Zweck verwenden. Damit:

  1. Installiere Ruby und rubygems:

    # apt-get install rubygems gem
    
  2. Installiere den Edelstein:

    # gem install Ruby-msg
    
  3. Verwenden Sie dann das Dienstprogramm "mapitool":

    $ mapitool -i test.msg
    

    In einigen Fällen können Sie sporadisch die Ausnahme erhalten:

    /usr/local/share/gems/gems/Ruby-msg-1.5.2/lib/mapi/mime.rb:109:in `join': incompatible character encodings: UTF-8 and ASCII-8BIT (Encoding::CompatibilityError)
    

    Korrigieren Sie einfach die folgende Datei lib/mapi/mime.rb mit dem folgenden regulären Ausdruck:

    sed 's/part.to_s(opts)/part.to_s(opts).encode("UTF-8", :invalid=>:replace, :undef => :replace, :replace => "")/' -i /usr/local/share/gems/gems/Ruby-msg-1.5.2/lib/mapi/mime.rb
    

Link zum SeaMonkey-Programm finden Sie unten: http://www.seamonkey-project.org/

0
Davidgh